Package org.jfree.layouting.input.style.values

## Class CSSAutoValue

- java.lang.Object
- - org.jfree.layouting.input.style.values.CSSAutoValue

- All Implemented Interfaces:
    `java.io.Serializable`, `CSSValue`

      public final class CSSAutoValue
      extends java.lang.Object
      implements CSSValue

  A numeric constant indicating an value that must be resolved during the layouting process.
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getCSSText​()` |
    `static CSSAutoValue` | `getInstance​()` |
    `java.lang.String` | `toString​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static CSSAutoValue getInstance​()

    - #### getCSSText

          public java.lang.String getCSSText​()

      Specified by:
        `getCSSText` in interface `CSSValue`

    - #### toString

          public java.lang.String toString​()

      Overrides:
        `toString` in class `java.lang.Object`